%global commit d4774dc7dfdd4b8a60613355ed32e6a1c18220cf
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           vim-tmux-clipboard
Version:        20240603
Release:        1%{?dist}
Summary:        Seamless integration for vim and tmux's clipboard

License:        Vim
URL:            https://github.com/roxma/vim-tmux-clipboard
Source0:        %{url}/archive/%{commit}/%{name}-%{version}-git%{shortcommit}.tar.gz

# Added metainfo per
# https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/#_metainfo_xml_file_creation
Source1:        vim-tmux-clipboard.metainfo.xml

Requires:       vim-common

# TODO: These are needed by %%transfiletrigger provided by vim-commons,
# not sure how to get rid of these ATM :/
Requires(post): vim
Requires(postun): vim

# Needed for AppData check.
BuildRequires:  libappstream-glib

# Defines %%vimfiles_root
BuildRequires:  vim-filesystem
BuildArch:      noarch

%description
Things get messy when I need to copy lines of text from vim into tmux's
clipboard, especially when multiple split-windows are opened. So I created
this super simple plugin, which provides seamless integration for vim and
tmux's clipboard.

vim-tmux-clipboard automatically copies yanked text into tmux's clipboard,
and copies tmux's clipboard content into vim's quote(") register (known as
the unnamed register). It also makes multiple vim processes on top of the
same tmux session act like they're sharing the same clipboard.


%prep
%autosetup -p1 -n %{name}


%build
# Nothing to build. We are just copying files to the filesystem


%install
mkdir -p %{buildroot}%{vimfiles_root}
cp -ar plugin %{buildroot}%{vimfiles_root}

# Install AppData.
mkdir -p %{buildroot}%{_metainfodir}
install -m 644 %{SOURCE1} %{buildroot}%{_metainfodir}


%check
# Check the AppData add-on to comply with guidelines.
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%files
%doc README.md
#%%license LICENSE
%{vimfiles_root}/plugin/vimtmuxclipboard.vim
%{_metainfodir}/vim-tmux-clipboard.metainfo.xml


%changelog
* Mon Jun 03 2024 Patrick Laimbock <patrick@laimbock.com> - 20240603-1
- add version (date) to the source

* Sun Jun 02 2024 Patrick Laimbock <patrick@laimbock.com> - 20231101-2
- rebuild for F40

* Wed Nov 01 2023 Patrick Laimbock <patrick@laimbock.com> - 20231101-1
- update to git rev d4774dc7dfdd4b8a60613355ed32e6a1c18220cf

* Sun Apr 16 2023 Patrick Laimbock <patrick@laimbock.com> - 20230417-1
- initial package
- based on git commit e1be6608410c260479dc4807ad8c103faf5460d8
- plus patch from https://github.com/krkhan/vim-tmux-clipboard

